package pack

import (
	"fmt"
	"youngee_b_api/model/common_model"
	"youngee_b_api/model/http_model"

	"github.com/issue9/conv"
)

func HttpTaskScriptListRequestToCondition(req *http_model.TaskScriptListRequest) *common_model.TalentConditions {
	fmt.Printf("%+v", req)
	return &common_model.TalentConditions{
		ProjectId:    req.ProjectId,
		ScriptStatus: conv.MustInt64(req.ScriptStatus),
		StrategyId:   conv.MustInt64(req.StrategyId),
		// TaskId:           conv.MustString(req.TaskId),
		PlatformNickname: conv.MustString(req.PlatformNickname),
	}
}
